Subject: Re: [Bitcoin-development] After compressed pubkeys: hybrid pubkeys

From: Wladimir <[email-masked]>
Date: Sun, 17 Jun 2012 17:16:13 +0200

On Sun, Jun 17, 2012 at 2:04 PM, Pieter Wuille <[email-masked]>wrote:

> On Sun, Jun 17, 2012 at 01:01:12PM +0200, Mike Hearn wrote:
> > > * 0x04 [32-byte X coord] [32-byte Y coord]: uncompressed format
> > > * 0x06 [32-byte X coord] [32-byte Y coord]: hybrid format for even Y
> coords
> > > * 0x07 [32-byte X coord] [32-byte Y coord]: hybrid format for odd Y
> coords
> >
> > So what's the actual difference in format? Is there any at all, or
> > it's just the first number that's different?
>
> >From what I understand, that is indeed the only difference.
>
>
To prevent surprises in the future, in case OpenSSL decides to add more,
can we disable all other key formats in advance?

Wladimir